Invoke generic scsi error decoder if no alternative handler was
specified.

This is safe as dm_scsi_err_handler() will only act on SCSI errors
with valid sense data.

Signed-Off-By: Alasdair G Kergon <agk@redhat.com>
Signed-off-by: Lars Marowsky-Bree <lmb@suse.de>
--- diff/drivers/md/dm-mpath.c	2005-05-04 15:04:41.000000000 +0100
+++ source/drivers/md/dm-mpath.c	2005-05-04 15:03:56.000000000 +0100
@@ -1028,6 +1028,8 @@
 
 	if (hwh->type && hwh->type->error)
 		err_flags = hwh->type->error(hwh, bio);
+	else
+		err_flags = dm_scsi_err_handler(hwh, bio);
 
 	if (mpio->pgpath) {
 		if (err_flags & MP_FAIL_PATH)
